Subject: Re: user defined malloc

From: DJ Delorie <[email-masked]>
Date: Sat, 1 Jul 2000 22:45:20 -0400

> My question is do I have to also override the _malloc_r routine, and
> if so, could someone provide some information or a link on what is
> required?  It appears to be a reentrant version of malloc.

Yup, newlib is heavy into reentrancy.  However, _malloc_r isn't
exported by cygwin1.dll and cygwin doesn't expect your program to
replace it.  I'm not sure how much of a "bug" this is, but I'm open
for suggestions.  Might want to ask on the newlib list also, I'm sure
they have really good reasons to call the reentrant malloc.

--
Want to unsubscribe from this list?
Send a message to [email-masked]